## toolame 02i-2

=== Makefile ===
--- 
+++ 
@@ -22,16 +22,19 @@
 OBJ = $(c_sources:.c=.o)
 DEP = $(c_sources:.c=.d)
 
-PG = -pg
+#PG = -pg
 #PG = -fomit-frame-pointer
-OPTIM = -O9
-#OPTIM = -O -g
-REQUIRED = -DMFCMISC -DUNIX -DNDEBUG -DINLINE=inline
-ARCH = -march=pentium 
+OPTIM = -O2
+#OPTIM = -O -g -DMDEBx
+#DMAL = 
+#DMAL = -DDMALLOC -DMEMFIX
+#DMALLOCLIB = -ldmalloc
+REQUIRED = -DMFCMISC -DUNIX -DNDEBUG -DINLINE=inline $(DMAL)
+#ARCH = -march=pentium 
 #Following TWEAKS are for gcc2.95.2 YMMV.
-TWEAKS = -finline-functions -fexpensive-optimizations -ffast-math -malign-double \
-	-mfancy-math-387 -funroll-loops -funroll-all-loops -pipe \
-	-fschedule-insns2 -fno-strength-reduce
+#TWEAKS = -finline-functions -fexpensive-optimizations -ffast-math -malign-double \
+#	-mfancy-math-387 -funroll-loops -funroll-all-loops -pipe \
+#	-fschedule-insns2 -fno-strength-reduce
 #EXTRATWEAKS = -DVBRDEBUG
 WARNING = -Wall -Wstrict-prototypes -Wmissing-prototypes
 WORKING = -DVBR -DIOFIX
@@ -39,7 +42,7 @@
 
 PGM = toolame
 
-LIBS =  -lm
+LIBS =  -lm $(DMALLOCLIB)
 
 #nick burch's OS/2 fix  gagravarr@SoftHome.net
 UNAME = $(shell uname)
@@ -66,9 +69,12 @@
 	-rm $(OBJ) $(DEP) $(PGM) \#*\# *~
 
 distclean:
-	-rm $(OBJ) $(DEP) $(PGM) \#* *~ gmon.out gprof* core *shit* *.wav *.mp2 *.c.* *.mp2.* *.da *.h.* *.d *.mp3 *.pcm *.wav
+	-rm $(OBJ) $(DEP) $(PGM) \#* *~ gmon.out gprof* core *shit* *.wav *.mp2 *.c.* *.mp2.* *.da *.h.* *.d *.mp3 *.pcm *.wav logfile
 
 tags: TAGS
+
+install:
+	install -m 755 toolame $(DESTDIR)/usr/bin/toolame
 
 TAGS: ${c_sources}
 	etags -T ${c_sources}
