=== debian/changelog ===
toolame (02i-2) unstable; urgency=low

  * Accidentally left malloc debugger on without build-depeding on dmalloc
    (Closes: #146754,#145755)

 -- Brian Ristuccia <brianr@osiris.978.org>  Fri, 24 May 2002 16:07:23 -0400

toolame (02i-1) unstable; urgency=low

  * New Upstream Version 

 -- Brian Ristuccia <brianr@osiris.978.org>  Fri,  3 May 2002 21:45:34 -0400

toolame (02h-4) unstable; urgency=low

  * Capitalize "Celeron" in package description. (Closes: #125424).
  * Add note to manual page that input file must have 16 bits per
    sample. (Closes: #140236)
  
 -- Brian Ristuccia <brianr@osiris.978.org>  Wed,  1 May 2002 22:26:27 -0400

toolame (02h-3) unstable; urgency=low

  * Removed superfluous compiler flags from Makefile to eliminate
    policy violation as well as build and runtime breakage on
    non-pentium machines (fixes #92412).

 -- Brian Ristuccia <brianr@osiris.978.org>  Sun,  1 Apr 2001 03:14:39 -0400

toolame (02h-2) unstable; urgency=low

  * Fixed incorrect section name on manual page (fixes #91220).
  * Comment/Uncomment appropriate lines in Makefile to compile without 
    profiling (fixes #91836).

 -- Brian Ristuccia <brianr@osiris.978.org>  Tue, 27 Mar 2001 14:45:50 -0500

toolame (02h-1) unstable; urgency=low

  * Initial Release.

 -- Brian Ristuccia <brianr@osiris.978.org>  Sat, 24 Mar 2001 20:59:57 -0500
