=== debian/control ===
Source: toolame
Section: sound
Priority: optional
Maintainer: Brian Ristuccia <brianr@osiris.978.org>
Build-Depends: debhelper (>> 2.0.0)
Standards-Version: 3.2.1

Package: toolame
Architecture: any
Depends: ${shlibs:Depends}
Description: MPEG-1 layer 2 audio encoder
 toolame is a very fast (6x realtime on a 550mhz Celeron) MPEG-1 layer 2
 audio encoder with a command-line syntax nearly identical to that of the
 lame MPEG-1 layer 3 audio encoder. Because of patent issues surrounding the
 layer 3 encoder, the ability of most mpeg audio players to play layer 2
 files, and the similarity in command-line syntax, toolame makes a very good
 drop-in replacement for lame or other layer 3 encoders under most
 circumstances.
